mod here;

pub(crate) use here::Here;

pub(crate) fn module() -> anyhow::Result<rune::Module> {
    let mut m = rune::Module::new();

    // Here
    m.ty::<Here>()?;
    m.function_meta(Here::new)?;

    // Macros
    m.macro_meta(here::here)?;
    Ok(m)
}
